Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class Variable

- org.gradle.plugins.ide.eclipse.model.Variable

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Variable (groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
    `Variable (FileReference library)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getKind()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractLibrary` | `appendNode, equals, getDeclaredConfigurationName, hashCode, setDeclaredConfigurationName, setJavadocPath, setLibrary, toString`
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### Variable(groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Variable(FileReference library)

  - ### Method Detail

    - #### String getKind()

    - #### String toString()